QT       += core gui charts

greaterThan(QT_MAJOR_VERSION, 4): QT += widgets

CONFIG += c++17

# You can make your code fail to compile if it uses deprecated APIs.
# In order to do so, uncomment the following line.
#DEFINES += QT_DISABLE_DEPRECATED_BEFORE=0x060000    # disables all the APIs deprecated before Qt 6.0.0

SOURCES += \
    bollinger_bands.cpp \
    chart.cpp \
    chartview.cpp \
    ema.cpp \
    ma.cpp \
    macd.cpp \
    main.cpp \
    mainwindow.cpp \
    parsernyse.cpp \
    scraper.cpp \
    settings.cpp \
    statistics.cpp \
    statistics_adapter.cpp \
    trendingscraper.cpp


HEADERS += \
    bollinger_bands.hpp \
    chart.h \
    chartview.h \
    ema.hpp \
    ma.hpp \
    macd.hpp \
    mainwindow.h \
    parsernyse.hpp \
    scraper.hpp \
    settings.hpp \
    statistics.hpp \
    statistics_adapter.hpp \
    trendingscraper.hpp

FORMS += \
    mainwindow.ui

LIBS += \
    -lcurl

# Default rules for deployment.
qnx: target.path = /tmp/$${TARGET}/bin
else: unix:!android: target.path = /opt/$${TARGET}/bin
!isEmpty(target.path): INSTALLS += target

RESOURCES += \
    ../resources/resources.qrc
